/**
 * Created by Evalds on 19/06/2017.
 */

module.exports = {
    None: 0,

    InvalidChecksum: 1, //Suspected message spoofing

    Login: 2,
    Logout: 3,

    AccessInstrument: 4,
    AccessProject: 5,

    CreateProject: 6,
    SignProject: 7,

    AuditTrail: 8,

    StoreRun: 9,
    StorePeakTable: 10,
    StoreMethod: 11,

    StoreOriginalRPTX: 12,
    StoreOriginalPRJX: 13,

    AdminViewUsers: 14,
    AdminViewUser: 141,
    AdminCreateUser: 15,
    AdminEditUser: 16,
    AdminDeleteUser: 17,

    AdminViewRoles: 18,
    AdminViewRole: 181,
    AdminCreateRole: 19,
    AdminEditRole: 20,
    AdminDeleteRole: 21,

    AdminViewInstruments: 22,
    AdminViewInstrument: 221,
    AdminCreateInstrument: 23,
    AdminEditInstrument: 24,
    AdminDeleteInstrument: 25,

    AdminViewDatabases: 26,
    AdminCreateDatabase: 27,
    AdminEditDatabase: 28,
    AdminDeleteDatabase: 29,

    InvalidSession: 30,

    AdminViewProjectGroups: 31,
    AdminViewProjectGroup: 311,
    AdminCreateProjectGroups: 33,
    AdminEditProjectGroups: 34,
    AdminDeleteProjectGroups: 35,

    AdminViewAuditTrail: 36,
    AdminViewAuditTrailDetail: 366,

    AvailableProjectGroups: 37,
    AvailableInstruments: 38,

    UpdateProject: 39,
    UpdateReport: 40,

    PasswordExpired: 41,

    CheckProjectName: 42, //Project name must be unique within project group

    AdminViewProjects: 43,
    AdminViewProject: 44,
    AdminEditProject: 45,
    AdminDeleteProject: 46,

    AdminDownloadProjectFile: 47,

    AdminViewReports: 48,
    AdminViewReport: 49,
    AdminEditReport: 50,
    AdminDeleteReport: 51,
    AdminDownloadReportFile: 52,

    CreateReport: 53,

    StartProjectExecution: 54,
    FinishProjectExecution: 55,

    AccessReport: 56,

    AdminViewOverview: 57,

    AdminViewProjectReportDetails: 58,

    InvalidRepeatedRequest: 60,

    AdminViewSettings: 61,
    AdminEditSettings: 62,
};
