/**
 * Created by Evalds on 09/06/2017.
 */

var english = require('../translations/english');
var japanese = require('../translations/japanese');
var format = require('string-format');

module.exports = class i18n {

    static init(language) {
        i18n.lang = english;
        if(language === 'japanese') {
            i18n.lang = japanese;
        }
    }

    static localize(key, objects = {}) {
        var translated = key;
        if(key in i18n.lang) {
            translated = i18n.lang[key];
        }

        return format(translated, objects);
    }
}