const crypto = require('crypto');
const _ = require('lodash');


module.exports = class CryptoUtils {

    static md5(str_input) {
        let algo = crypto.createHash('md5');
        let i = 0;
        const CHUNK_SIZE = 1024;
        while(i < str_input.length) {
            let i_end = Math.min(i + CHUNK_SIZE, str_input.length);
            let str_chunk = str_input.substr(i, i_end - i);
            algo.update(str_chunk);
            i = i_end;
        }
        return algo.digest("hex");
    }

    static decipherToken(token, key) {
        var decipher = crypto.createDecipheriv('aes-128-cbc', '3zTvzr3p67VC61jm', CryptoUtils._formatKey(key));
        var deciphered = decipher.update(token, 'base64', 'utf8');
        deciphered += decipher.final('utf8');
        return deciphered;
    }

    static cipherToken(token, key) {
        key = key.toString();
        var cipher = crypto.createCipheriv('aes-128-cbc', '3zTvzr3p67VC61jm', CryptoUtils._formatKey(key));
        var ciphered = cipher.update(token, 'utf8', 'base64');
        ciphered += cipher.final('base64');
        return ciphered;
    }

    static _formatKey(key) {
        key = key.toString();
        if(key.length > 16) {
            key = key.substring(16);
        }
        else if(key.length < 16) {
            key = _.padEnd(key, 16, 'sal')
        }
        return key;
    }
}