/**
 * Created by Evalds on 17/07/2017.
 */

module.exports = class SystemUtils {
    // Shared to all users on system
    static getAppDataPath()
    {
        // Important to use system wide location not user based $HOME
        // ALLUSERSPROFILE, CommonApplicationData for windows "C:\ProgramData"

        try {
            return process.env.ALLUSERSPROFILE || (process.platform === 'darwin' ? '/Library/Application Support' : '/var/local');
        }
        catch(exc)
        {
        }

        return false;
    }
}